@font-face {
  font-family: 'MyCustomFont';
  src: url('../assts/font.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

:root {
  --primary: #0a0a0a;
  --secondary: #ffd700;
  --accent: #ffd9009d;
  --dark-yellow: #e9cf3a;
  --text: #ffffff;
  --radius: 1.5rem;
  --max-width: 1440px;
  --transition: all 0.3s ease;
  --font: 'MyCustomFont', sans-serif;
}

body {
  font-family: var(--font);
}

.section-title {
  margin-top: 100px;
  text-align: right;
}

.cards-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 2rem;
  margin-top: 30px;
  margin-bottom: 3rem;
  align-items: stretch;
}

.card {
  background: rgba(0, 0, 0, 1);
  min-width: 150px;
  border-radius: var(--radius);
  padding: 1rem;
  border: 1px solid transparent;
  transition: var(--transition);
  overflow: hidden;
  position: relative;
  text-align: center;
  cursor: pointer;
  text-decoration: none;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.card-link{
  text-decoration: none;
  display: block;
  height: 100%;
}

.card:hover,
.card:active {
  transform: translateY(-5px);
  background: rgba(255, 255, 255, 0.1);
}

.card img {
  width: 100%;
  height: 320px;
  object-fit: cover;
  border-radius: var(--radius);
  margin-bottom: 1rem;
}

.card .post {
  z-index: 0;
}

.card-title {
  text-align: right;
  margin-top: -10px;
  font-size: 1rem;
  color: white;
}

@media (min-width: 1200px) {
  .cards-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 780px) {
  .cards-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    padding: .3rem;
    border-radius: 20px;
  }

  .card {
    border-radius: 10px;
    transition: .2s;
  }

  .card img {
    height: 150px;
    border-radius: 10px;
  }
}

.filters,
.rank-filters {
  height: 65px;
  margin-top: 10px;
  margin-bottom: 10px;
  gap: 1rem;
  overflow-x: auto;
  white-space: nowrap;
  overflow-y: hidden;
  padding-left: 15px;
}

.filters::before,
.rank-filters::before {
  content: '';
  position: absolute;
  left: 15px;
  width: 20px;
  height: 65px;
  background: linear-gradient(90deg, rgb(0, 0, 0), rgba(0, 0, 0, 0));
}

::-webkit-scrollbar {
  display: none;
}

.rank-filters {
  margin-top: 15px;
}

.filter-btn,
.rank-btn {
  display: none;
}

.filter-btn + label,
.rank-btn + label {
  border: 3px solid transparent;
  padding: 10px 30px 10px 30px;
  font-family: var(--font);
  border-radius: 50px;
  background-color: var(--secondary);
  color: black;
  font-size: 20px;
  display: inline-block;
  margin-right: 10px;
  cursor: pointer;
  transition: all 0.3s;
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1), inset 10px 10px 20px 0px rgba(0, 0, 0, .45);
}

.rank-btn + label {
  background-color: white;
}

.filter-btn + label:hover,
.filter-btn + label:active {
  background-color: var(--accent);
}

.rank-btn + label:hover,
.rank-btn + label:active {
  background-color: rgb(173, 173, 173);
}

.filter-btn:checked + label {
  background-color: transparent;
  color: white;
  border-color: var(--dark-yellow);
}

.rank-btn:checked + label {
  background-color: black;
  color: white;
  border-color: white;
}

.title {
  text-align: right;
}

.card-title{
  font-size: 20px;
  text-decoration: none;
}
